<div class="leftfloat">
    <h1>Subkategorie</h1>
</div>    
<div class="leftfloat">    
    <?= $this->form ?>  
</div>
<div class="rightfloat">
    <h1><a href="/admin/subcategories/edit/">[nová]</a></h1>
</div>
<div class="clear">
</div>    
<table class="admintable">
    <thead>
        <td style="width: 20px;">id</td>
        <td>&nbsp;</td>
        <td>seq</td>
        <td>název kategorie</td>
        <td>text ke kategorii</td>
        <td>název anglicky</td>
        <td>text anglicky</td>
        <td>&nbsp;</td>
    </thead>
    <tbody>
<?php
if (!empty($this->subcategories)) {
    $color = 'dark';
    foreach ($this->subcategories as $value) {if ($value['public'] == 0) {
            $color = 'red';
        }
        ?>
        <tr>
            <td class='<?= $color ?>'>
                <?= $value['subcategory_id'] ?>
            </td>
            <td class='<?= $color ?>'>
                <img src='/images/eshop_shops/<?= $value['eshop_id'] ?>.png' alt='<?= $value['eshop_id'] ?>' style='width: 30px'/>
            </td>
            <td class='<?= $color ?>'>
                <?= $value['sequence'] ?>
            </td>            
            <td class='<?= $color ?>'>
                <?= $value['title_cz'] ?>
            </td>                       
            <td class='<?= $color ?>'>
                <?= mb_substr(strip_tags($value['text_cz']),0,50,'utf-8'); ?>
            </td>
            <td class='<?= $color ?>'>
                <?= $value['title_en'] ?>
            </td>                       
            <td class='<?= $color ?>'>
                <?= mb_substr(strip_tags($value['text_en']),0,50,'utf-8'); ?>
            </td>
            <td class='<?= $color?>'>
                <a href='/admin/subcategories/edit/?subcategory_id=<?= $value['subcategory_id'] ?>'>[upravit]</a>
            </td>
        </tr>
        <?php 
        if ($color == 'dark') {
            $color = 'light';
        } else {
            $color = 'dark';
        }
    }
}
?>
   </tbody>
</table>